Skip to main content
GET
/
users
/
{userId}
/
preferences
Get user preferences
curl --request GET \
  --url https://api.eu.bronto.io/users/{userId}/preferences \
  --header 'X-BRONTO-API-KEY: <api-key>'
{
  "preferences": {
    "favourites": {
      "monitors": [
        "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      ],
      "dashboards": [
        "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      ],
      "saved_searches": [
        "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      ]
    },
    "defaults": {
      "monitor": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "dashboard": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    },
    "features": {},
    "theme": "<string>",
    "preferred_org": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "timezone": "<string>",
    "filter_null_groups": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.bronto.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-BRONTO-API-KEY
string
header
required

Path Parameters

userId
string
required

Response

User details retrieved successfully

preferences
object